Subject: Re: [bug#55248] [PATCH 2/7] gnu: racket: Fix out-of-source build.

From: Maxime Devos <[email-masked]>
Date: Thu, 05 May 2022 22:36:37 +0200

Liliana Marie Prikler schreef op do 05-05-2022 om 21:52 [+0200]:
> > Another scenario that might be worth considering is projects that
> > follow the REUSE specification[1], which I don't think would be
> > handled by the current install-license-files.
> I don't think we can rely on projects consistently following them,
> sadly.

There's plenty of projects that don't follow REUSE (e.g., Guix itself),
and there might be some that have the .reuse/dep5 and LICENSES but
aren't doing things 100% according to the spec, but I don't think it
matters much to Guix if SPDX-License-Identifier is present in every
file and such, given that all Guix has to do here is copy license
files, so Guix could be taught to copy .reuse/dep5 and LICENSES (in
addition to LICENSE, COPYING, ...).

Greetings,
Maxime